<?php
/**
 * This file is used for fetching data from database.
 *
 * @author  Tech Banker
 * @package gallery-bank/user-views/includes/albums
 * @version 4.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
if ( isset( $id ) ) {
	if ( isset( $type ) && '' !== $type ) {
		$gallery_ids = urldecode( isset( $show_albums ) ? $show_albums : $album_id );
		if ( 'all' === $id ) {
			$album_data = $wpdb->get_row(
				$wpdb->prepare( 'SELECT * FROM ' . $wpdb->prefix . 'gallery_bank_meta WHERE meta_key = %s', 'gallery_data' )
			); // WPCS: db call ok, cache ok.
		} elseif ( preg_match( '/^\d+(?:,\d+)*$/', $gallery_ids ) ) {
			$album_data = $wpdb->get_row(
				$wpdb->prepare( 'SELECT * FROM ' . $wpdb->prefix . 'gallery_bank_meta WHERE meta_key = %s AND old_gallery_id IN (%s)', 'gallery_data', $gallery_ids )
			); // WPCS: db call ok, cache ok.
		} else {
			$album_data = $wpdb->get_row(
				$wpdb->prepare( 'SELECT * FROM ' . $wpdb->prefix . 'gallery_bank_meta WHERE meta_key = %s AND old_gallery_id = %d', 'gallery_data', $id )
			); // WPCS: db call ok, cache ok.
		}
		if ( '' !== $album_data ) {
			$display_album_data = maybe_unserialize( $album_data->meta_value );
			if ( 'all' === $id ) {
				$gallery_data_unserialize = User_Helper_Gallery_Bank::get_unserialize_mode_data_gallery_bank( 'meta_key = %s ', 'gallery_data' );
			} elseif ( preg_match( '/^\d+(?:,\d+)*$/', $gallery_ids ) ) {
				$gallery_data_unserialize = User_Helper_Gallery_Bank::get_unserialize_mode_data_gallery_bank( "old_gallery_id IN ($gallery_ids) AND meta_key = %s ", 'gallery_data' );
			} else {
				$gallery_data_unserialize = User_Helper_Gallery_Bank::get_unserialize_mode_data_gallery_bank( "old_gallery_id = $id AND meta_key = %s ", 'gallery_data' );
			}
			if ( count( $gallery_data_unserialize ) > 0 ) {
				if ( isset( $album_type ) ) {
					switch ( $album_type ) {
						case 'compact_album':
							$compact_album_layout_settings = User_Helper_Gallery_Bank::get_meta_value_gallery_bank( 'compact_album_layout_settings' );
							break;
					}
				}
			}
		}
	} else {
		$album_data = $wpdb->get_row(
			$wpdb->prepare( 'SELECT * FROM ' . $wpdb->prefix . 'gallery_bank_meta WHERE meta_key = %s AND meta_id = %d', 'album_data', $id )
		); // WPCS: db call ok, cache ok.
		if ( '' != $album_data ) { // WPCS: loose comparison ok.
			$display_album_data       = maybe_unserialize( $album_data->meta_value );
			$gallery_ids              = implode( ',', $display_album_data['selected_galleries'] );
			$gallery_data_unserialize = User_Helper_Gallery_Bank::get_unserialize_mode_data_gallery_bank( "old_gallery_id IN ($gallery_ids) AND meta_key = %s ORDER BY FIELD(old_gallery_id, $gallery_ids)", 'gallery_data' );
			if ( isset( $album_type ) ) {
				switch ( $album_type ) {
					case 'compact_album':
						$compact_album_layout_settings = User_Helper_Gallery_Bank::get_meta_value_gallery_bank( 'compact_album_layout_settings' );
						break;
				}
			}
		}
	}
}
