<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Interico
 */

$tc_footer_col_width_1 = (int)get_theme_mod( 'tc_footer_col_width_1', 3 );
$tc_footer_col_1_mobile = get_theme_mod( 'tc_footer_col_1_mobile', 'show' );
$tc_footer_col_width_2 = (int)get_theme_mod( 'tc_footer_col_width_2', 3 );
$tc_footer_col_2_mobile = get_theme_mod( 'tc_footer_col_2_mobile', 'show' );
$tc_footer_col_width_3 = (int)get_theme_mod( 'tc_footer_col_width_3', 3 );
$tc_footer_col_3_mobile = get_theme_mod( 'tc_footer_col_3_mobile', 'show' );
$tc_footer_col_width_4 = (int)get_theme_mod( 'tc_footer_col_width_4', 3 );
$tc_footer_col_4_mobile = get_theme_mod( 'tc_footer_col_4_mobile', 'show' );

?>
		<?php if ( 'no' !== get_theme_mod( 'tc_footer_cta', 'no' ) ) : ?>
		    <!-- Begin Bot CTA -->
			<a href="<?php echo esc_url( get_theme_mod( 'tc_footer_cta_link', '#' ) ); ?>" class="cta-footer">
				<div>
					<h2><?php echo esc_attr( get_theme_mod( 'tc_footer_cta_text', 'Get a free quote for your project. Click here.' ) ); ?></h2>
			    </div>
			</a> <!-- End Bot CTA -->
		<?php endif; ?>

		<?php if ( 'hide' !== get_theme_mod( 'tc_footer_hide' ) && ( is_active_sidebar( 'main-footer-1' ) || is_active_sidebar( 'main-footer-2' ) || is_active_sidebar( 'main-footer-3' ) || is_active_sidebar( 'main-footer-4' ) ) ) : ?>
			<!-- Begin Footer -->
			<footer id="footer" class="footer-<?php echo esc_attr( get_theme_mod( 'tc_footer_color_scheme', 'dark' ) ); ?>">
				<div class="main-footer">
					<div class="container">
						<div class="row">
							<?php
								
								if ( 0 !== (int)get_theme_mod( 'tc_footer_col_width_1', '3' ) ) : ?>
									<div class="col-xs-12 col-sm-<?php echo esc_attr( $tc_footer_col_width_1 ); ?> <?php echo esc_attr( $tc_footer_col_1_mobile ); ?>-on-mobile widget-footer">
										<?php dynamic_sidebar( 'main-footer-1' ); ?>
									</div>
								<?php endif;

								if ( 0 !== (int)get_theme_mod( 'tc_footer_col_width_2', '3' ) ) : ?>
									<div class="col-xs-12 col-sm-<?php echo esc_attr( $tc_footer_col_width_2 ); ?> <?php echo esc_attr( $tc_footer_col_2_mobile ); ?>-on-mobile widget-footer">
										<?php dynamic_sidebar( 'main-footer-2' );?>
									</div>
								<?php endif;

								if ( 0 !==(int) get_theme_mod( 'tc_footer_col_width_3', '3' ) ) : ?>
									<div class="col-xs-12 col-sm-<?php echo esc_attr( $tc_footer_col_width_3 ); ?> <?php echo esc_attr( $tc_footer_col_3_mobile ); ?>-on-mobile widget-footer">
										<?php dynamic_sidebar( 'main-footer-3' ); ?>
									</div>
								<?php endif;

								if ( 0 !== (int)get_theme_mod( 'tc_footer_col_width_4', '3' ) ) : ?>
									<div class="col-xs-12 col-sm-<?php echo esc_attr( $tc_footer_col_width_4 ); ?> <?php echo esc_attr( $tc_footer_col_4_mobile ); ?>-on-mobile widget-footer">
										<?php dynamic_sidebar( 'main-footer-4' ); ?>
									</div>
								<?php endif;
							?>
						</div>
					</div>
				</div>
			</footer> <!-- End Footer -->
		<?php endif; ?>

		<?php if ( 'hide' !== get_theme_mod( 'tc_footer_bot_hide' ) ) : ?>
			<!-- Begin Footer Bot --> 
			<div class="container-fluid" id="footer-bot">
				<div class="container">
					<div class="row">
						<div class="col-md-6">
							<!-- Logo begin -->
						    <div class="footer-logo-box">
						    	<?php
						    		$interico_footer_logo    = get_theme_mod( 'tc_logo_footer_img', get_template_directory_uri() . '/img/logo-white.png' );
						    		$interico_footer_logo_2x = get_theme_mod( 'tc_logo_footer_img_2x', get_template_directory_uri() . '/img/logo-white2x.png' );

						    		if ( ! empty( $interico_footer_logo ) ) :
						    	?>
							    		
						    	<img id="footer-logo" src="<?php echo esc_url( $interico_footer_logo ); ?>" srcset="<?php echo esc_url( $interico_footer_logo ); ?><?php echo empty( $interico_footer_logo_2x ) ? '' : ', ' . esc_url( $interico_footer_logo_2x ) . ' 2x'; ?>" alt="<?php echo esc_attr( get_bloginfo( 'name' ) ); ?>">
							    		
						    	<?php else : ?>
						    		<?php esc_attr( bloginfo( 'name' ) ); ?>
						    	<?php endif;

						    	$copyright_text = get_theme_mod( 'interico_footer_copyright_text', '2018. All Rights Reserved.' );
						    	?>

						    	<span class="copyright-text"><?php printf( esc_html__( '%s', 'interico' ), $copyright_text ); ?></span>
						    	
						    </div> <!-- Logo end -->
						</div>
						<div class="col-md-6">
							<ul class="social">
								<?php if ( esc_url( get_theme_mod( 'tc_social_facebook', '#' ) ) ) : ?>
									<li><a target="_blank" href="<?php echo esc_url( get_theme_mod( 'tc_social_facebook', '#' ) ); ?>"><i class="fa fa-facebook" aria-hidden="true"></i></a></li>
								<?php endif; ?>

								<?php if ( esc_url( get_theme_mod( 'tc_social_linkedin' ) ) ) : ?>
									<li><a target="_blank" href="<?php echo esc_url( get_theme_mod( 'tc_social_linkedin' ) ); ?>"><i class="fa fa-linkedin" aria-hidden="true"></i></a></li>
								<?php endif; ?>

								<?php if ( esc_url( get_theme_mod( 'tc_social_twitter' ) ) ) : ?>
									<li><a target="_blank" href="<?php echo esc_url( get_theme_mod( 'tc_social_twitter' ) ); ?>"><i class="fa fa-twitter" aria-hidden="true"></i></a></li>
								<?php endif; ?>

								<?php if ( esc_url( get_theme_mod( 'tc_social_google' ) ) ) : ?>
									<li><a target="_blank" href="<?php echo esc_url( get_theme_mod( 'tc_social_google' ) ); ?>"><i class="fa fa-google" aria-hidden="true"></i></a></li>
								<?php endif; ?>

								<?php if ( esc_url( get_theme_mod( 'tc_social_pinterest' ) ) ) : ?>
									<li><a target="_blank" href="<?php echo esc_url( get_theme_mod( 'tc_social_pinterest' ) ); ?>"><i class="fa fa-pinterest" aria-hidden="true"></i></a></li>
								<?php endif; ?>

								<?php if ( esc_url( get_theme_mod( 'tc_social_youtube' ) ) ) : ?>
									<li><a target="_blank" href="<?php echo esc_url( get_theme_mod( 'tc_social_youtube' ) ); ?>"><i class="fa fa-youtube-play" aria-hidden="true"></i></a></li>
								<?php endif; ?>

								<?php if ( esc_url( get_theme_mod( 'tc_social_instagram' ) ) ) : ?>
									<li><a target="_blank" href="<?php echo esc_url( get_theme_mod( 'tc_social_instagram' ) ); ?>"><i class="fa fa-instagram" aria-hidden="true"></i></a></li>
								<?php endif; ?>
							</ul>
							<?php if ( has_nav_menu( 'secondary' ) ) : ?>
								<nav>
									<?php wp_nav_menu(
										array(
											'theme_location' => 'secondary',
											'menu_id'		 => 'nav-footer', 
											'menu_class'	 => 'nav-footer',
											)
										); ?>
								</nav>
							<?php endif; ?>
						</div>
					</div>
				</div>
			</div>  <!-- End Footer Bot -->
		<?php endif; ?>

	</div> <!-- End wrapper -->
	
	<?php wp_footer(); ?>
</body>
</html>