<?php 
/**
 * Register Interico sidebars
 *
 * @link https://developer.wordpress.org/themes/functionality/sidebars/#registering-a-sidebar
 */

function interico_sidebars() {

	// About page sidebar
	register_sidebar( array(
		'name'          => esc_html__( 'Sidebar on About pages', 'interico' ),
		'id'            => 'sidebar',
		'description'   => esc_html__( 'Add widgets here.', 'interico' ),
		'before_widget' => '<div id="%1$s" class="sidebar-nav">',
		'after_widget'  => '</div>',
		'before_title'  => '<h3 class="sidebar-heading">',
		'after_title'   => '</h3>',
	) );

	// Services sidebar
	register_sidebar( array(
		'name'          => esc_html__( 'Sidebar on Service pages', 'interico' ),
		'id'            => 'services-sidebar',
		'description'   => esc_html__( 'Add widgets here.', 'interico' ),
		'before_widget' => '<div id="%1$s" class="sidebar-nav">',
		'after_widget'  => '</div>',
		'before_title'  => '<h3 class="sidebar-heading">',
		'after_title'   => '</h3>',
	) );

	// Blog sidebar
	register_sidebar( array(
		'name'          => esc_html__( 'Blog Sidebar', 'interico' ),
		'id'            => 'blog-sidebar',
		'description'   => esc_html__( 'Sidebar for the blog page.', 'interico' ),
		'before_widget' => '<div id="%1$s" class="sidebar-nav">',
		'after_widget'  => '</div>',
		'before_title'  => '<h3 class="sidebar-heading">',
		'after_title'   => '</h3>',
	) );

	// Shop Sidebar
	if ( class_exists( 'WooCommerce' ) ) {
		register_sidebar( array(
			'name'          => esc_html__( 'Shop Sidebar', 'interico'),
			'id'            => 'shop-sidebar',
			'description'   => esc_html__( 'Sidebar for the shop pages', 'interico'),
			'class'         => 'sidebar-nav',
			'before_widget' => '<div class="widget %2$s sidebar-nav">',
			'after_widget'  => '</div>',
			'before_title'  => '<h3 class="sidebar-heading">',
			'after_title'   => '</h3>',
		) );
	}


	// // Footer column 1
	// $tc_footer_col_width_1 = (int)get_theme_mod( 'tc_footer_col_width_1', 3 );
	// $tc_footer_col_1_mobile = get_theme_mod( 'tc_footer_col_1_mobile', 'show' );
	register_sidebar(
		array(
			'name'          => esc_html__( 'Footer column: 1', 'interico' ),
			'id'            => 'main-footer-1',
			'description'   => esc_html__( 'Control the width of the footer columns: Appearance &gt; Customize &gt; interico Options &gt; Footer.', 'interico' ),
			'class'			=> '%%2$s',
			'before_widget' => '<div class="widget-container">',
			'after_widget'  => '</div>',
			'before_title'  => '<h4 class="footer-header">',
			'after_title'   => '</h4>'
		)
	);

	// // Footer column 2
	// $tc_footer_col_width_2 = (int)get_theme_mod( 'tc_footer_col_width_2', 3 );
	// $tc_footer_col_2_mobile = get_theme_mod( 'tc_footer_col_2_mobile', 'show' );
	register_sidebar(
		array(
			'name'          => esc_html__( 'Footer column: 2', 'interico' ),
			'id'            => 'main-footer-2',
			'description'   => esc_html__( 'Control the width of the footer columns: Appearance &gt; Customize &gt; interico Options &gt; Footer.', 'interico' ),
			'class'			=> '%%2$s',
			'before_widget' => '<div class="widget-container">',
			'after_widget'  => '</div>',
			'before_title'  => '<h4 class="footer-header">',
			'after_title'   => '</h4>'
		)
	);

	// // Footer column 3
	// $tc_footer_col_width_3 = (int)get_theme_mod( 'tc_footer_col_width_3', 3 );
	// $tc_footer_col_3_mobile = get_theme_mod( 'tc_footer_col_3_mobile', 'show' );
	register_sidebar(
		array(
			'name'          => esc_html__( 'Footer column: 3', 'interico' ),
			'id'            => 'main-footer-3',
			'description'   => esc_html__( 'Control the width of the footer columns: Appearance &gt; Customize &gt; interico Options &gt; Footer.', 'interico' ),
			'class'			=> '%%2$s',
			'before_widget' => '<div class="widget-container">',
			'after_widget'  => '</div>',
			'before_title'  => '<h4 class="footer-header">',
			'after_title'   => '</h4>'
		)
	);

	// // Footer column 4
	// $tc_footer_col_width_4 = (int)get_theme_mod( 'tc_footer_col_width_4', 3 );
	// $tc_footer_col_4_mobile = get_theme_mod( 'tc_footer_col_4_mobile', 'show' );
	register_sidebar(
		array(
			'name'          => esc_html__( 'Footer column: 4', 'interico' ),
			'id'            => 'main-footer-4',
			'description'   => esc_html__( 'Control the width of the footer columns: Appearance &gt; Customize &gt; interico Options &gt; Footer.', 'interico' ),
			'class'			=> '%%2$s',
			'before_widget' => '<div class="widget-container">',
			'after_widget'  => '</div>',
			'before_title'  => '<h4 class="footer-header">',
			'after_title'   => '</h4>'
		)
	);
}
add_action( 'widgets_init', 'interico_sidebars' );