<?php
/**
 * Template Name: Services page
 *
 * @package Interico
 */

get_header(); 
get_template_part( 'template-parts/top-content-area' );

if ( class_exists( 'acf' ) && is_active_sidebar( 'services-sidebar' ) ) {
	$sidebar_position = get_field( 'sidebar_position', $page_id );
} elseif ( is_active_sidebar( 'services-sidebar' ) ) {
	$sidebar_position = 'Left';
} else {
	$sidebar_position = 'Disabled';
}


?>

	<!-- Begin Content -->
	<div class="content">
		<div class="container">
			<div class="row">

				<!-- Begin page content -->
				<main class="col-xs-12 <?php echo esc_attr( $sidebar_position === 'Left' ? 'col-md-9 col-md-push-3' : '' ); echo esc_attr( $sidebar_position === 'Right' ? 'col-md-9' : '' ); ?>">

					<?php
						while ( have_posts() ) : the_post();

							get_template_part( 'template-parts/content', 'page' );

						endwhile; // End of the loop.
					?>

				</main> <!-- End page content -->

				<!-- Begin Sidebar -->
				<?php if ( 'Disabled' !== $sidebar_position && is_active_sidebar( 'services-sidebar' ) ) : ?>
					<div class="col-xs-12 col-md-3 <?php echo esc_attr( $sidebar_position === 'Left' ? ' col-md-pull-9' : '' ); ?>">
						<aside class="sidebar">
							<?php dynamic_sidebar( 'services-sidebar' ); ?>
						</aside>
					</div>
				<?php endif; ?>
				<!-- End Sidebar -->

			</div> <!-- End row -->
		</div> <!-- End container -->
	</div> <!-- End Content -->

<?php get_footer(); ?>
