<?php

// Hook for adding admin menus
add_action('admin_menu', 'wmfx_add_theme_pages', 8);

// action function for above hook
function wmfx_add_theme_pages() {
    // Add a new top-level menu (ill-advised):
    add_menu_page( __('Theme Options', 'wmfx' ), __('Theme Options','menu-test'), 'manage_options', 'wmfx-theme-options-top-level', 'wmfx_theme_options_toplevel' );
}


// mt_toplevel_page() displays the page content for the custom Test Toplevel menu
function wmfx_theme_options_toplevel() {

    //must check that the user has the required capability 
    if (!current_user_can('manage_options')){
      wp_die( __('You do not have sufficient permissions to access this page.') );
    }

    // variables for the field and option names 
    $hidden_field_name = 'mt_submit_hidden';

    // Read in existing option value from database
    $wmfx_facebook_url = get_option( 'wmfx_facebook_url' );
    $wmfx_twitter_url = get_option( 'wmfx_twitter_url' );
    $wmfx_googleplus_url = get_option( 'wmfx_googleplus_url' );
    $wmfx_linkedin_url = get_option( 'wmfx_linkedin_url' );
    $wmfx_youtube_url = get_option( 'wmfx_youtube_url' );
    $wmfx_blogger_url = get_option( 'wmfx_blogger_url' );
	
    $wmfx_breadcrumbs_replace_1 = get_option( 'wmfx_breadcrumbs_replace_1' );
    $wmfx_breadcrumbs_replace_2 = get_option( 'wmfx_breadcrumbs_replace_2' );
    $wmfx_breadcrumbs_replace_3 = get_option( 'wmfx_breadcrumbs_replace_3' );

    // See if the user has posted us some information
    // If they did, this hidden field will be set to 'Y'
    if( isset($_POST[ $hidden_field_name ]) && $_POST[ $hidden_field_name ] == 'Y' ) {
        // Read their posted value
        $wmfx_facebook_url = $_POST[ 'wmfx_facebook_url' ];
        $wmfx_twitter_url = $_POST[ 'wmfx_twitter_url' ];
        $wmfx_googleplus_url = $_POST[ 'wmfx_googleplus_url' ];
        $wmfx_linkedin_url = $_POST[ 'wmfx_linkedin_url' ];
        $wmfx_youtube_url = $_POST[ 'wmfx_youtube_url' ];
        $wmfx_blogger_url = $_POST[ 'wmfx_blogger_url' ];
		
	    $wmfx_breadcrumbs_replace_1 = $_POST[ 'wmfx_breadcrumbs_replace_1' ];
	    $wmfx_breadcrumbs_replace_2 = $_POST[ 'wmfx_breadcrumbs_replace_2' ];
	    $wmfx_breadcrumbs_replace_3 = $_POST[ 'wmfx_breadcrumbs_replace_3' ];
		
        // Save the posted value in the database
        update_option( 'wmfx_facebook_url', $wmfx_facebook_url );
        update_option( 'wmfx_twitter_url', $wmfx_twitter_url );
        update_option( 'wmfx_googleplus_url', $wmfx_googleplus_url );
        update_option( 'wmfx_linkedin_url', $wmfx_linkedin_url );
        update_option( 'wmfx_youtube_url', $wmfx_youtube_url );
        update_option( 'wmfx_blogger_url', $wmfx_blogger_url );
		
        update_option( 'wmfx_breadcrumbs_replace_1', $wmfx_breadcrumbs_replace_1 );
        update_option( 'wmfx_breadcrumbs_replace_2', $wmfx_breadcrumbs_replace_2 );
        update_option( 'wmfx_breadcrumbs_replace_3', $wmfx_breadcrumbs_replace_3 );
		
        // Put an settings updated message on the screen
		echo '<div class="updated"><p><strong>' . __('settings saved.', 'menu-test' ) .'</strong></p></div>' ;
    }
	?>
	<style type="text/css">
		#theme-options-form label {
			display: inline-block;
			width: 100px;
		}
	</style>
	<div class="wrap" id="theme-options-form">
		<h2>WebMediaFX - Theme Options</h2>
		<form name="form1" method="post" action="">
			<input type="hidden" name="<?php echo $hidden_field_name; ?>" value="Y">
			<p>
				<label for=""><?php _e("Facebook Url:", 'menu-test' ); ?></label>
				<input type="text" name="wmfx_facebook_url" value="<?php echo $wmfx_facebook_url; ?>" size="80">
			</p>
			<p>
				<label for=""><?php _e("Twitter Url:", 'menu-test' ); ?></label>
				<input type="text" name="wmfx_twitter_url" value="<?php echo $wmfx_twitter_url; ?>" size="80">
			</p>
			<p>
				<label for=""><?php _e("GooglePlus Url:", 'menu-test' ); ?></label>
				<input type="text" name="wmfx_googleplus_url" value="<?php echo $wmfx_googleplus_url; ?>" size="80">
			</p>
			<p>
				<label for=""><?php _e("LinkedIn Url:", 'menu-test' ); ?></label>
				<input type="text" name="wmfx_linkedin_url" value="<?php echo $wmfx_linkedin_url; ?>" size="80">
			</p>
			<p>
				<label for=""><?php _e("YouTube Url:", 'menu-test' ); ?></label>
				<input type="text" name="wmfx_youtube_url" value="<?php echo $wmfx_youtube_url; ?>" size="80">
			</p>
			<p>
				<label for=""><?php _e("Blogger Url:", 'menu-test' ); ?></label>
				<input type="text" name="wmfx_blogger_url" value="<?php echo $wmfx_blogger_url; ?>" size="80">
			</p>
			<p>
				<label for=""><?php _e("Breadcrumbs Replace:", 'menu-test' ); ?></label>
				<input type="text" name="wmfx_breadcrumbs_replace_1" value="<?php echo $wmfx_breadcrumbs_replace_1 ; ?>" size="21">
				<input type="text" name="wmfx_breadcrumbs_replace_2" value="<?php echo $wmfx_breadcrumbs_replace_2 ; ?>" size="21">
				<input type="text" name="wmfx_breadcrumbs_replace_3" value="<?php echo $wmfx_breadcrumbs_replace_3 ; ?>" size="21">
			</p>
			<hr />
			<p class="submit">
				<input type="submit" name="Submit" class="button-primary" value="<?php esc_attr_e('Save Changes') ?>" />
			</p>
		</form>
	</div>
	<?php 
}
